Name: cockpit-files
Version: 15.18.g070d5c6
Release: 1.20250211173953164914.pr945.18.g070d5c6%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-15.18.g070d5c6.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

# Replace the older cockpit-navigator provided by 45Drives
Obsoletes: cockpit-navigator < 0.5.11

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.12
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.14
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Tue Feb 11 2025 Packit <hello@packit.dev> - 15.18.g070d5c6-1.20250211173953164914.pr945.18.g070d5c6
- app.scss: drop PF override which is no longer applicable (Jelle van der Waa)
- Support copy&pasting files with administrator privileges (#880) (Tomáš Matuš)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- Makefile: Update Cockpit lib to 54f87df7b7b5428c66bae8c1b91f3096 (Cockpit Project)
- packit: Re-enable Fedora 42 (Martin Pitt)
- renamed add bookmark (Divyanshu Gupta)
- packit: Re-disable Fedora 42 (Martin Pitt)
- packit: Drop copr_build job redundancy (Martin Pitt)
- Makefile: Update Cockpit lib to 1cc67cefe33c58b33016655f329a1b3f (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- packit: Add Fedora 42, drop 40 (Martin Pitt)
- Replace cockpit-navigator with cockpit-files (Stephen Gallagher)
- cockpit-ci: Update container to 2025-02-01 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- Makefile: Update Cockpit lib to f05981311645107ac622bd16e702f843 (Cockpit Project)
- test: Check POT build (Martin Pitt)
- add missing license to keyboardShortcutsHelp.tsx (tomasmatus)
- move FolderFileInfo and FilesContext to avoid imports from app.tsx (tomasmatus)
